
module write_enable_selector ( write1_in, write2, waddr1, waddr2, write1_out
     );
input  [1:0] waddr1;
input  [1:0] waddr2;
input  write1_in, write2;
output write1_out;
    wire n51, n52, n53;
    stdxnor2 U13 ( .IN0(waddr2[0]), .IN1(waddr1[0]), .Y(n51) );
    stdxnor2 U14 ( .IN0(waddr2[1]), .IN1(waddr1[1]), .Y(n52) );
    stdaoi31 U15 ( .IN0(n52), .IN1(write2), .IN2(n51), .IN3(n53), .Y(
        write1_out) );
    stdinv U16 ( .IN0(write1_in), .Y(n53) );
endmodule

