/* Master file pads.v RTL simulation */
/* The whole chip, including pads */


/* Cascade stuff */
+libext+.v+
-y /afs/ece/common/local/usr/supported/epoch/models/cmos/verilog
-v /afs/ece/common/local/usr/supported/epoch/data/verilog/primlib.v


/* The testing file -- has to be up here for timescale command */
./def_pads
./test.v


/* agu files that got to synopsys */

../56k/structural/agu/before_syn/agu_control.v             
../56k/structural/agu/before_syn/multi_wrap_address.v
../56k/structural/agu/before_syn/address_mode.v      
../56k/structural/agu/before_syn/write_enable_selector.v
../56k/structural/agu/before_syn/x_memory_access.v
../56k/structural/agu/before_syn/agu_tristate.v          
../56k/structural/agu/before_syn/lower_upper.v            
../56k/structural/agu/before_syn/y_memory_access.v
../56k/structural/agu/before_syn/mydecoder.v
../56k/structural/agu/before_syn/regset_selector_c.v
../56k/structural/agu/before_syn/addr_modifier.v
../56k/structural/agu/before_syn/bound_chk.v

/* other agu files */
../56k/structural/agu/add_sub_16bit.v
../56k/structural/agu/addr_alu.v
../56k/structural/agu/agu_structural.v
../56k/structural/agu/linear_bitreverse.v
../56k/structural/agu/rfm.v
../56k/structural/agu/rfn.v
../56k/structural/agu/rfr.v
../56k/structural/agu/mux8_16bit.v
../56k/structural/agu/selector_5_to_1_16bit.v
../56k/structural/agu/wrap_once_address.v


/* pcu files */
../56k/structural/pcu/pcu_structural.v
../56k/structural/pcu/before_syn/pcu_stage2.v
../56k/structural/pcu/before_syn/pcu_stage3.v
../56k/structural/pcu/before_syn/pab_register.v
../56k/structural/pcu/before_syn/pcu_reg_control.v


/* data switch files */
../56k/structural/bus_switch/bus_switch.v
../56k/structural/bus_switch/before_syn/bs_control.v



/* alu */
../56k/structural/alu.cascade/ctl_def.v 
../56k/structural/alu.cascade/XYregImm_c.v 
../56k/structural/alu.cascade/XYregImm_scan.v
../56k/structural/alu.cascade/mult_c.v
../56k/structural/alu.cascade/addsub_c.v
../56k/structural/alu.cascade/round_c.v
../56k/structural/alu.cascade/shift1_c.v
../56k/structural/alu.cascade/logic_c.v
../56k/structural/alu.cascade/mux_mult.v
../56k/structural/alu.cascade/mux_add.v
../56k/structural/alu.cascade/mux_logic.v
../56k/structural/alu.cascade/before_syn/check_imm.v
../56k/structural/alu.cascade/before_syn/control.v
../56k/structural/alu.cascade/before_syn/control_p.v
../56k/structural/alu.cascade/extcheck_c.v
../56k/structural/alu.cascade/limit_c.v
../56k/structural/alu.cascade/alu_struc.v
//../56k/structural/alu.cascade/decode_null.v


/* Ram switch files before Synopsys */
../56k/structural/ram_interface/before_synth/addr_bus_control.v
../56k/structural/ram_interface/before_synth/addr_overflow_detect.v
../56k/structural/ram_interface/before_synth/ebus_drivers_control.v
../56k/structural/ram_interface/before_synth/smisc_signals.v
../56k/structural/ram_interface/before_synth/thingy_control.v

/* Ram switch files */
../56k/structural/ram_interface/clock_stop.v
../56k/structural/ram_interface/ebus_drivers.v
../56k/structural/ram_interface/misc_singals.v
../56k/structural/ram_interface/ram_switch.v
../56k/structural/ram_interface/thingy.v
../56k/structural/ram_interface/decoder1_3.v
../56k/structural/ram_interface/mux2_1.v
../56k/structural/ram_interface/ram_control_signals.v


/* The whole core of the chip */
../56k/structural/core_cascade.v

/* The Ram modules */
../56k/structural/ram_system/cascade_ram.v

/* The whole chip with pads files */
../56k/structural/cmu56k/cmu56k.v
../56k/structural/cmu56k/pads.v



