/* $Id: misc_signals.v,v 2.1 1998/07/27 21:09:43 benk Exp $ */
/*****************************************************************************
 *misc_signals
 *
 *just some stuff to clean up some random signals
 *
 *
 *Copyright (C) 1997 Carnegie Mellon University
 *
 *Author: $Author: benk $
 *Date: $Date: 1998/07/27 21:09:43 $
 *Revision: $Revision: 2.1 $
 *
 *
 *Log: $Log: misc_signals.v,v $
 *Log: Revision 2.1  1998/07/27 21:09:43  benk
 *Log: Changed file names to match module names
 *Log:
# Revision 1.5  1998/02/09  19:38:41  ar39
# Took out the latches from the mem select signals.
#
 *Log: Revision 1.4  1997/11/30 09:08:09  inacio
 *Log: added a cpu_stop inverter
 *Log:
# Revision 1.3  1997/11/09  09:56:16  inacio
# added an inverter to the reset signal, made the mem_select latch work
#
# Revision 1.2  1997/11/09  08:51:30  inacio
# I changed the tabbing in the files to be spaces, now it looks the same in
# less as it does in my editor
#
# Revision 1.1  1997/10/13  20:39:10  inacio
# some glue logic for miscellaneous signals
#
 *****************************************************************************/


module misc_signals (clk, reset, MEM_SLCT, ltch_mem_slct, cpu_stop, 
                     not_cpu_stop);

input  clk;
input  reset;

input  [1:0]MEM_SLCT;
output [1:0]ltch_mem_slct;

input    cpu_stop;
output   not_cpu_stop;



stdinv resetinv (reset, not_reset);

//latch_c #(2) memslct_ltch (not_reset, MEM_SLCT, clk, ltch_mem_slct);
assign ltch_mem_slct = MEM_SLCT;

stdinv cpustop_inv (cpu_stop, not_cpu_stop);


endmodule
