
module lower_upper ( Rn, Mn, lower, upper );
input  [15:0] Rn;
input  [15:0] Mn;
output [15:0] upper;
output [15:0] lower;
    wire \Rn[15] , \Mn[0] , n753, n754, n755, n756, n757, n758, n759, n760, 
        n761, n762, n763, n764, n765, n766, n767, n768, n769, n770, n771, n772;
    assign \Rn[15]  = Rn[15];
    assign \Mn[0]  = Mn[0];
    assign lower[15] = \Rn[15] ;
    assign lower[0] = 1'b0;
    assign upper[15] = \Rn[15] ;
    assign upper[0] = \Mn[0] ;
    stdand2_2x U81 ( .IN0(Rn[14]), .IN1(n753), .Y(lower[14]) );
    stdor2_2x U82 ( .IN0(Rn[14]), .IN1(Mn[14]), .Y(upper[14]) );
    stdor2_2x U83 ( .IN0(Mn[13]), .IN1(lower[13]), .Y(upper[13]) );
    stdor2_2x U84 ( .IN0(Mn[12]), .IN1(lower[12]), .Y(upper[12]) );
    stdor2_2x U85 ( .IN0(Mn[11]), .IN1(lower[11]), .Y(upper[11]) );
    stdor2_2x U86 ( .IN0(Mn[10]), .IN1(lower[10]), .Y(upper[10]) );
    stdor2_2x U87 ( .IN0(Mn[9]), .IN1(lower[9]), .Y(upper[9]) );
    stdor2_2x U88 ( .IN0(Mn[8]), .IN1(lower[8]), .Y(upper[8]) );
    stdor2_2x U89 ( .IN0(Mn[7]), .IN1(lower[7]), .Y(upper[7]) );
    stdor2_2x U90 ( .IN0(Mn[6]), .IN1(lower[6]), .Y(upper[6]) );
    stdor2_2x U91 ( .IN0(Mn[5]), .IN1(lower[5]), .Y(upper[5]) );
    stdor2_2x U92 ( .IN0(Mn[4]), .IN1(lower[4]), .Y(upper[4]) );
    stdor2_2x U93 ( .IN0(Mn[3]), .IN1(lower[3]), .Y(upper[3]) );
    stdor2_2x U94 ( .IN0(Mn[2]), .IN1(lower[2]), .Y(upper[2]) );
    stdor2_2x U95 ( .IN0(Mn[1]), .IN1(lower[1]), .Y(upper[1]) );
    stdor2_2x U96 ( .IN0(Mn[14]), .IN1(Mn[13]), .Y(n754) );
    stdor3_2x U97 ( .IN0(Mn[12]), .IN1(Mn[11]), .IN2(n754), .Y(n755) );
    stdor2_2x U98 ( .IN0(Mn[10]), .IN1(n755), .Y(n756) );
    stdor3_2x U99 ( .IN0(Mn[9]), .IN1(Mn[8]), .IN2(n756), .Y(n757) );
    stdor2_2x U100 ( .IN0(Mn[7]), .IN1(n757), .Y(n758) );
    stdor3_2x U101 ( .IN0(Mn[6]), .IN1(Mn[5]), .IN2(n758), .Y(n759) );
    stdnor3_2x U102 ( .IN0(Mn[4]), .IN1(Mn[3]), .IN2(n759), .Y(n760) );
    stdinv_3x U103 ( .IN0(Mn[14]), .Y(n753) );
    stdinv_3x U104 ( .IN0(Mn[12]), .Y(n761) );
    stdinv_3x U105 ( .IN0(Mn[9]), .Y(n762) );
    stdinv_3x U106 ( .IN0(Mn[6]), .Y(n763) );
    stdinv_3x U107 ( .IN0(Mn[4]), .Y(n764) );
    stdinv_3x U108 ( .IN0(Mn[2]), .Y(n765) );
    stdinv_3x U109 ( .IN0(Mn[1]), .Y(n766) );
    stdand2_2x U110 ( .IN0(Rn[13]), .IN1(n767), .Y(lower[13]) );
    stdand3_2x U111 ( .IN0(n767), .IN1(n761), .IN2(Rn[12]), .Y(lower[12]) );
    stdand2_2x U112 ( .IN0(Rn[11]), .IN1(n768), .Y(lower[11]) );
    stdand2_2x U113 ( .IN0(Rn[10]), .IN1(n769), .Y(lower[10]) );
    stdand3_2x U114 ( .IN0(n769), .IN1(n762), .IN2(Rn[9]), .Y(lower[9]) );
    stdand2_2x U115 ( .IN0(Rn[8]), .IN1(n770), .Y(lower[8]) );
    stdand2_2x U116 ( .IN0(Rn[7]), .IN1(n771), .Y(lower[7]) );
    stdand3_2x U117 ( .IN0(n771), .IN1(n763), .IN2(Rn[6]), .Y(lower[6]) );
    stdand2_2x U118 ( .IN0(Rn[5]), .IN1(n772), .Y(lower[5]) );
    stdand3_2x U119 ( .IN0(n772), .IN1(n764), .IN2(Rn[4]), .Y(lower[4]) );
    stdand2_2x U120 ( .IN0(Rn[3]), .IN1(n760), .Y(lower[3]) );
    stdand3_2x U121 ( .IN0(n760), .IN1(n765), .IN2(Rn[2]), .Y(lower[2]) );
    stdand4_2x U122 ( .IN0(Rn[1]), .IN1(n760), .IN2(n766), .IN3(n765), .Y(
        lower[1]) );
    stdinv_3x U123 ( .IN0(n757), .Y(n770) );
    stdinv_3x U124 ( .IN0(n759), .Y(n772) );
    stdinv_3x U125 ( .IN0(n755), .Y(n768) );
    stdinv_3x U126 ( .IN0(n754), .Y(n767) );
    stdinv_3x U127 ( .IN0(n756), .Y(n769) );
    stdinv_3x U128 ( .IN0(n758), .Y(n771) );
endmodule

